import * as React from 'react';
import Svg, {Path} from 'react-native-svg';

const SvgComponent = props => (
  <Svg width={45} height={45} xmlns="http://www.w3.org/2000/svg" {...props}>
    <Path
      d="M24.167 35v-9a1 1 0 0 0-1-1h-6.334a1 1 0 0 0-1 1v9"
      strokeWidth={3}
      strokeLinecap="round"
      strokeLinejoin="round"
    />
    <Path
      d="M8.333 18.333V31c0 1.886 0 2.828.586 3.414.586.586 1.529.586 3.414.586h15.334c1.885 0 2.828 0 3.414-.586.586-.586.586-1.528.586-3.414V18.333"
      strokeWidth={3}
    />
    <Path
      d="M7.955 6.515c.181-.728.272-1.091.544-1.303C8.77 5 9.145 5 9.895 5h20.21c.75 0 1.125 0 1.396.212.272.212.362.575.544 1.303l2.334 9.333c.286 1.144.429 1.716.128 2.1-.3.385-.89.385-2.069.385h-.716c-1.619 0-2.428 0-2.987-.474-.56-.474-.693-1.272-.959-2.868l-.079-.474c-.075-.45-.112-.675-.197-.675s-.122.225-.197.675l-.157.94c-.19 1.144-.286 1.716-.609 2.122a2 2 0 0 1-.593.503c-.453.251-1.034.251-2.194.251s-1.74 0-2.194-.251a2 2 0 0 1-.593-.503c-.323-.406-.418-.978-.61-2.123l-.156-.939c-.075-.45-.112-.675-.197-.675s-.122.225-.197.675l-.157.94c-.19 1.144-.286 1.716-.609 2.122a2 2 0 0 1-.593.503c-.453.251-1.034.251-2.194.251s-1.74 0-2.194-.251a2 2 0 0 1-.593-.503c-.323-.406-.418-.978-.61-2.123l-.156-.939c-.075-.45-.112-.675-.197-.675s-.122.225-.197.675l-.08.474c-.265 1.596-.398 2.394-.958 2.868-.56.474-1.369.474-2.987.474h-.716c-1.18 0-1.77 0-2.07-.384-.3-.385-.157-.957.13-2.1l2.333-9.334Z"
      strokeWidth={3}
    />
  </Svg>
);

export default SvgComponent;
